[![github repo badge](https://img.shields.io/badge/github-repo-000.svg?logo=github&labelColor=gray&color=blue)](https://github.com/MiBiPreT/mibipret)
[![github license badge](https://img.shields.io/github/license/MiBiPreT/mibipret)](https://github.com/MiBiPreT/mibipret)
[![RSD](https://img.shields.io/badge/rsd-mibipret-00a3e3.svg)](https://www.research-software.nl/software/mibipret)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.10878799.svg)](https://doi.org/10.5281/zenodo.10878799)
[![workflow cii badge](https://bestpractices.coreinfrastructure.org/projects/8711/badge)](https://bestpractices.coreinfrastructure.org/projects/8711)
[![fair-software.eu](https://img.shields.io/badge/fair--software.eu-%E2%97%8F%20%20%E2%97%8F%20%20%E2%97%8F%20%20%E2%97%8F%20%20%E2%97%8F-green)](https://fair-software.eu)
[![workflow scq badge](https://sonarcloud.io/api/project_badges/measure?project=MiBiPreT_MiBiPreT&metric=alert_status)](https://sonarcloud.io/dashboard?id=MiBiPreT_MiBiPreT)
[![workflow scc badge](https://sonarcloud.io/api/project_badges/measure?project=MiBiPreT_MiBiPreT&metric=coverage)](https://sonarcloud.io/dashboard?id=MiBiPreT_MiBiPreT)
[![documentation](https://github.com/MiBiPreT/mibipret/actions/workflows/documentation-deploy.yml/badge.svg)](https://mibipret.github.io/mibipret)
[![build](https://github.com/MiBiPreT/mibipret/actions/workflows/build.yml/badge.svg)](https://github.com/MiBiPreT/mibipret/actions/workflows/build.yml)
[![cffconvert](https://github.com/MiBiPreT/mibipret/actions/workflows/cffconvert.yml/badge.svg)](https://github.com/MiBiPreT/mibipret/actions/workflows/cffconvert.yml)
[![sonarcloud](https://github.com/MiBiPreT/mibipret/actions/workflows/sonarcloud.yml/badge.svg)](https://github.com/MiBiPreT/mibipret/actions/workflows/sonarcloud.yml)
[![markdown-link-check](https://github.com/MiBiPreT/mibipret/actions/workflows/markdown-link-check.yml/badge.svg)](https://github.com/MiBiPreT/mibipret/actions/workflows/markdown-link-check.yml)

# `mibipret`

A Python package for prediction and analysis in Microbiome based Remediation. Developed as part of the [MiBiRem](https://www.mibirem.eu/) toolbox for Bioremediation.

## How to use mibipret

A collection of routines for data analysis on contaminant site data with the goal to predict if bioremediation is a feasible remediation strategy.

## Installation

To install mibipret from GitHub repository, do:

```console
git clone git@github.com:MiBiPreT/mibipret.git
cd mibipret
python -m pip install .
```

## Documentation

Include a link to your project's full documentation here.

## Contributing

If you want to contribute to the development of mibipret,
have a look at the [contribution guidelines](CONTRIBUTING.md).

## Credits

This package was created with the [NLeSC/python-template](https://github.com/NLeSC/python-template).
